/api/v1/datagrid-rows (GET)
const url = 'https://api.endless.zaia.app/api/v1/datagrid-rows?datagridId=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0&mode=semantic&operator=ilike&pageNumber=1&pageSize=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/datagrid-rows?datagridId=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0&mode=semantic&operator=ilike&pageNumber=1&pageSize=10'Retrieves multiple datagrid rows.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
The page number.
The page number.
The page size.
The page size.
Responses
Seção intitulada “Responses”Retrieves all datagrid rows for the specified datagrid.
object
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
object
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
object
object
object
Example
[ { "datagridValues": [ { "detail": { "type": "string" } } ] }]Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Datagrid not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}